<template>
    <v-dialog v-model="dialog" max-width="600">
        <template v-slot:activator="{ on, attrs }">
            <div v-on="on" v-bind="attrs">
                <slot></slot>
            </div>
        </template>
        <v-card rounded="xl" height="300">
            <v-card-title @click="toggleClose" class="py-2">
                <IconwHover icon="mdi-close" />
            </v-card-title>
            <v-divider></v-divider>
            <div class="px-3 pt-0 pb-4">
                <FormNewTweet @newTweetBtn="newTweetBtn" />
            </div>
        </v-card>
    </v-dialog>
</template>

<script>
import FormNewTweet from '../Additional/FormNewTweet.vue';
import IconwHover from '../Additional/IconwHover.vue';
export default {
	components: { IconwHover, FormNewTweet },
    data() {
        return {
            dialog: false
        }
    },
    methods: {
        toggleClose() {
            this.dialog = !this.dialog
        },
        newTweetBtn() {
            this.toggleClose()
            this.$emit('newTweetBtn')
        }
    }
};
</script>

<style>
</style>